Groovy 1.7.10

## groovy.lang
[Java] Interface ClosureInvokingMethod

    public interface ClosureInvokingMethod

An interface for MetaMethods that invoke closures to implements. Used by ExpandoMetaClass

Authors:
  Graeme Rocher

See Also:
  ExpandoMetaClass

Since:
  1.5

Method Summary
`Closure` | `getClosure()` Returns the original closure that this method invokes
`String` | `getName()` The method name
`boolean` | `isStatic()` Is it a static method?

Method Detail

### getClosure

    public Closure getClosure()

  Returns the original closure that this method invokes
  Returns:
    The closure

### getName

    public String getName()

  The method name
  Returns:
    The method name

### isStatic

    public boolean isStatic()

  Is it a static method?
  Returns:
    True if it is

Copyright © 2003-2010 The Codehaus. All rights reserved.